export namespace SessionStorage {
    export function setItem(key, value) {
        sessionStorage.setItem(key, JSON.stringify(value))
    }

    export function getItem(key): any {
        try {
            return JSON.parse(sessionStorage.getItem(key))
        } catch (e) {
            return sessionStorage.getItem(key)
        }
    }

    export function removeItem(key) {
        return sessionStorage.removeItem(key)
    }
    
}
