import { module } from 'angular'
import { StateProvider } from '@uirouter/angularjs'
import { HomePage } from './home'
import HomeTemplate from './home.html'
import './home.scss'

const homeModule = module('app.page.home', [])
    .config(($stateProvider: StateProvider) => {
        $stateProvider
            .state({
                name: 'home',
                url: '/:name',
                controller: HomePage,
                template: HomeTemplate,
                controllerAs: '$ctrl',
            })
            // .state({
            //     name: 'home-phone',
            //     url: '/:name/:phone',
            //     controller: HomePage,
            //     template: HomeTemplate,
            //     controllerAs: '$ctrl',
            // })
            .state({
                name: 'home-catalog',
                url: '/:name/:phone/:catalogId',
                controller: HomePage,
                template: HomeTemplate,
                controllerAs: '$ctrl',
            })
    }).name

export { homeModule }
