import { module } from 'angular'
import { homeModule } from './home/home.module'
import { androidIntroductionModule } from './android-introduction/android-introduction.module'
import { navigatorNotSupportedModule } from './navigator-not-supported/navigator-not-supported.module'
// import { catalogModule } from './catalog/catalog.module'
import { catalogModule } from './catalog-v2/catalog.module'
import { productDetailsModule } from './product-details/product-details.module'
import { shoppingCartListModule } from './shopping-cart/shopping-cart-list.module'
import { loginModule } from './login/login.module'
import { registerModule } from './register/register.module'

const pagesModule = module('app.page', [
    homeModule,
    loginModule,
    registerModule,
    androidIntroductionModule,
    navigatorNotSupportedModule,
    catalogModule,
    // productDetailsModule,
    shoppingCartListModule
]).name

export { pagesModule }
