import { module } from 'angular'
import { StateProvider } from '@uirouter/angularjs'
import { NavigatorNotSupportedPage } from './navigator-not-supported'
import NavigatorNotSupportedTemplate from './navigator-not-supported.html'
import './navigator-not-supported.scss'

const navigatorNotSupportedModule = module('app.page.navigator-not-supported', [])
    .config(($stateProvider: StateProvider) => {
        $stateProvider
            .state({
                name: 'navigator-not-supported',
                url: '/navigator-not-supported?redirectTo',
                controller: NavigatorNotSupportedPage,
                template: NavigatorNotSupportedTemplate,
                controllerAs: '$ctrl',
            })
    }).name

export { navigatorNotSupportedModule }
