import './return-button.scss'
import template from './return-button.html'

class ReturnButtonController {

	constructor(public $scope, public $element, public $timeout) { }

}

const returnButton = {
	bindings: {
		onClick: '&?'
	},
	controller: ReturnButtonController,
	template: template,
}

ReturnButtonController['$inject'] = ['$scope', '$element', '$timeout']

export { returnButton }
