import { module } from 'angular'
import { StateProvider } from '@uirouter/angularjs'
import { RegisterPage } from './register'
import RegisterTemplate from './register.html'
import './register.scss'

const registerModule = module('app.page.register', [])
    .config(($stateProvider: StateProvider) => {
        $stateProvider
            .state({
                name: 'register',
                url: '/register/:hash',
                controller: RegisterPage,
                template: RegisterTemplate,
                controllerAs: '$ctrl',
            })
    }).name

export { registerModule }
