
import { module } from 'angular'
import { AppService } from './app.service'
import { ConfigService } from './config.service'
import { StateService } from './state.service'
import { AuthService } from './auth.service'

const servicesModule = module('app.services', [])
    .service('appService', AppService)
    .service('configService', ConfigService)
    .service('stateService', StateService)
    .service('authService', AuthService)
    .name

export { servicesModule }
