import firebase from 'firebase'
import { AuthService } from './services/auth.service'

class AppController {
    private isMobile: boolean
    private unsubscribe

    constructor(public $timeout, public $state, public authService: AuthService, public $stateParams) {
        this.unsubscribe = firebase.auth().onAuthStateChanged(async (user) => {
            if (user && user.uid) {
                const userZaap = await this.authService.getUser(user.uid)
                // if (userZaap.exists) {
                //     SessionStorage.setItem('user', userZaap.data())
                //     if (this.$stateParams.hash) {
                //         location.href = atob(this.$stateParams.hash)
                //     }
                // } else {
                //     this.$timeout(() => this.$state.go('register', { hash: this.$stateParams.hash }))
                // }
            } else {
                // this.$state.go('login', { hash: btoa(location.href) });
            }
        })
    }

    $onInit() {
        this.isMobile = true // Functions.isMobile()
        if (!this.isMobile) {
            document.getElementById('blockMessage').innerHTML = 'No momento, o Zaap Store está disponível apenas para mobile.'
        }
    }

}

export { AppController }
