import { ProductItemVariation } from './product-item-variation'
import { ProductItemMeasureTable } from './product-item-measure-table'
import { fileURLToPath } from 'url'

export interface ProductItem {
    id?: string,
    name?: string,
    stock?: number
    value?: number
    valuePromo?: number
    codebar?: string
    variation?: Array<ProductItemVariation>
    measureTable?: Array<ProductItemMeasureTable>,
    file?: string
}
