import { module } from 'angular'
import { StateProvider } from '@uirouter/angularjs'
import { AndroidIntroductionPage } from './android-introduction'
import AndroidIntroductionTemplate from './android-introduction.html'
import './android-introduction.scss'

const androidIntroductionModule = module('app.page.android-introduction', [])
    .config(($stateProvider: StateProvider) => {
        $stateProvider
            .state({
                name: 'android-introduction',
                url: '/android-introduction?redirectTo&step&alreadyFailed',
                controller: AndroidIntroductionPage,
                template: AndroidIntroductionTemplate,
                controllerAs: '$ctrl',
            })
    }).name

export { androidIntroductionModule }
