import './select-colors.scss'
import template from './select-colors.html'

class SelectColorsController {
    private colors: Array<any> = []
    private activeColor

    constructor(public $scope, public $element, public $timeout) { }

    setActiveColor(color) {
        this.activeColor = color
    }

}

const selectColors = {
    bindings: {
        colors: '=?',
        activeColor: '=?',
    },
    controller: SelectColorsController,
    template: template,
}

SelectColorsController['$inject'] = ['$scope', '$element', '$timeout']

export { selectColors }
