import { module } from 'angular'
import { CatalogPage } from './catalog'
import CatalogTemplate from './catalog.html'
import './catalog.scss'

const catalogModule = module('app.page.catalog', [])
    .config(($stateProvider) => {
        $stateProvider
            .state({
                name: 'catalog',
                url: ':name/:phone/:catalogId',
                controller: CatalogPage,
                template: CatalogTemplate,
                controllerAs: '$ctrl'
            })
    }).name

export { catalogModule }
