import { module } from 'angular'
import { StateProvider } from '@uirouter/angularjs'
import { LoginPage } from './login'
import LoginTemplate from './login.html'
import './login.scss'

const loginModule = module('app.page.login', [])
    .config(($stateProvider: StateProvider) => {
        $stateProvider
            .state({
                name: 'login',
                url: '/login/:hash',
                controller: LoginPage,
                template: LoginTemplate,
                controllerAs: '$ctrl',
            })
    }).name

export { loginModule }
