class NavigatorNotSupportedPage {
    private redirectTo: string

    constructor(public $timeout, public $state, public $stateParams) { }

    $onInit() {
        this.redirectTo = this.$stateParams.redirectTo ? atob(this.$stateParams.redirectTo) : location.origin + location.pathname
    }

    openChrome() {
        location.href = 'googlechrome://navigate?url=' + this.redirectTo
    }

}

export { NavigatorNotSupportedPage }